package com.backendsys.modules.sse.entity;

public enum SseResponseEnum {

    CONNECT("connect", "建立连接"),
    DISCONNECT("disconnect", "断开连接"),
    LOGOUT("logout", "退出登录"),
    NOTICE("notice", "通知"),
    UPLOAD("upload", "上传"),
    COMFYUI("comfyui", "Comfyui"),
    COMFYUI_TASK("comfyui_task", "Comfyui 任务队列"),
    OLLAMA("ollama", "Ollama"),
    DEEPSEEK("deepseek", "Deepseek"),
    HUNYUAN("hunyuan", "Hunyuan");

    private String type;
    private String message;
    public String getType() {
        return this.type;
    }
    public String getMessage() {
        return this.message;
    }

    SseResponseEnum(String type, String message) {
        this.type = type;
        this.message = message;
    }

}
